# -*- coding: utf-8 -*-
# Generated by Django 1.9.7 on 2016-06-30 12:40
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='CSVTable',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('csv_file', models.FileField(upload_to=b'')),
                ('date_upload', models.DateField(auto_now_add=True)),
            ],
        ),
        migrations.CreateModel(
            name='TestData',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('serial_number', models.CharField(max_length=5, unique=True)),
                ('description', models.TextField(max_length=100)),
                ('active', models.BooleanField()),
                ('date', models.DateField()),
                ('csv_file', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='test.CSVTable')),
            ],
        ),
    ]
